<!-- eslint-disable vue/multi-word-component-names -->
<template>
  <div class="flex flex-col min-h-screen items-center">
    <WaveBackground class="w-full h-full fixed top-0 left-0 z-[-1]" />
    <TheNavbar />
    <div class="contents flex-1">
      <Nuxt />
    </div>
    <TheFooter />
  </div>
</template>

<script>
import Vue from 'vue'
import global from '~/mixins/global'
import TheNavbar from '../components/layout/TheNavbar.vue'
import TheFooter from '../components/layout/TheFooter.vue'
import WaveBackground from '../assets/images/waves-bg.svg?inline'

Vue.mixin(global)
export default {
  components: { TheNavbar, WaveBackground, TheFooter },
  head() {
    return {
      meta: [
        {
          hid: 'twitter:card',
          name: 'twitter:card',
          content: 'summary_large_image'
        },
        {
          hid: 'twitter:site',
          name: 'twitter:site',
          content: '@gaiax_aisbl'
        },
        {
          hid: 'og:url',
          name: 'og:url',
          content: 'https://onboarding-portal.lab.gaia-x.eu/'
        },
        {
          hid: 'og:title',
          name: 'og:title',
          content: 'Gaia-X Lab Onboarding Portal'
        },
        {
          hid: 'og:description',
          name: 'og:description',
          content:
            'Use SSI to issue Gaia-X participation credentials in a cryptographically secure, privacy-respecting, and machine-verifiable way.'
        },
        {
          hid: 'og:image',
          property: 'og:image',
          content:
            'https://onboarding-portal.lab.gaia-x.eu/preview_onboarding_portal.jpg'
        }
      ]
    }
  }
}
</script>

<style>
html {
  font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, "Helvetica Neue", Arial, sans-serif;
  font-size: 16px;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
}

</style>
